server {
    server_name blog.maksim-pankov.ru;
    
    location / {
        proxy_pass http://localhost:9988;
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_buffer_size 8k;
    }        

    # location /styles/ {
        # try_files $uri $uri/ $uri.html =404;
        # root /opt/blog_content/;
    # }
    large_client_header_buffers 4 32k;

    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/blog.maksim-pankov.ru/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/blog.maksim-pankov.ru/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

}

server {
    listen localhost:7788;
    location / {
        root /opt/blog_content/;
        try_files $uri $uri/ $uri.html =404;
    }  
}

server {
    if ($host = blog.maksim-pankov.ru) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


    server_name blog.maksim-pankov.ru;
    listen 80;
    return 404; # managed by Certbot
}